<template>
    <div class='service-list_wrapper'>
        <div class="service-list_title">
            <h3>Список услуг</h3>
        </div>
        <div class='service-list'>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <td>#</td>
                        <td>Наименование услуги</td>
                        <td>Описание</td>
                        <td>Цена</td>
                        <td>Мотивация</td>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="service in services" :key="service.id">
                        <td>{{ service.id }}</td>
                        <td>{{ service.serviceName }}</td>
                        <td>{{ service.description }}</td>
                        <td>{{ service.price }}</td>
                        <td>{{ service.motivation }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class='service-list_control'>
            <button class='btn btn-primary' v-on:click="callNewServiceForm">Добавление услуги</button>
        </div>



        <div class="modal" role="dialog"  v-if="newService">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Новая услуга</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close" v-on:click="canselAddService">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="form-group row">
                            <label class="col-md-3">Наименование</label>
                            <div class="col-md-9">
                                <input placeholder="Полное наименование услуги" class="form-control" type="text" v-model="newService.serviceName" />
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-md-3">Описание</label>
                            <div class="col-md-9">
                                <textarea placeholder="Описание услуги" class="form-control" v-model="newService.description"></textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-md-3">Цена</label>
                            <div class="col-md-3">
                                <input class="form-control" type="text" v-model="newService.price" />
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-md-3">Мотивация</label>
                            <div class="col-md-3">
                                <input class="form-control" type="text" v-model="newService.motivation" />
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" v-on:click="addServiceInList">Сохранить</button>
                </div>
                </div>
            </div>
        </div>

    </div>
</template>

<script>
import Service from '../models/Service.js';

export default {
    name: 'Services',
    data: function() {
        return {
            services: [
                {
                    id: 1,
                    serviceName: 'Новая услуга 1',
                    description: 'Описание услуги',
                    price: 1200,
                    motivation: 1000
                },
                {
                    id: 2,
                    serviceName: 'Новая услуга 2',
                    description: 'Описание услуги',
                    price: 1200,
                    motivation: 1000
                },
                {
                    id: 3,
                    serviceName: 'Новая услуга 3',
                    description: 'Описание услуги',
                    price: 1200,
                    motivation: 1000
                }
            ],
            newService: null,
        }
    },
    methods: {
        callNewServiceForm: function() {
            this.newService = new Service({});
        },
        canselAddService: function() {
            this.newService = null;
        },
        addServiceInList: function() {
            this.services.push(Object.assign({}, this.newService));
            this.newService = null;
        }
    }
}
</script>